Bug 667465

Summary: [RFE] Upgrade to 0.14.8 or above
Product: [Fedora] Fedora Reporter: Mamoru TASAKA <mtasaka>
Component: rubygem-treetopAssignee: Michael Stahnke <mastahnke>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: rawhideCC: mastahnke, minnikhanov, mmorsi
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-01-23 17:24:31 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 665560    

Description Mamoru TASAKA 2011-01-05 16:53:26 UTC
Description of problem:
rubygem-mail 2.2.13 and above (review request: bug 665560)
needs treetop 0.14.8 or above. Please upgrade rubygem-treetop
on Fedora to these version (at least on rawhide)

Version-Release number of selected component (if applicable):
rubygem-treetop-1.3.0-1.fc12

Comment 1 Mo Morsi 2011-01-19 02:56:55 UTC
ping? Can we update rubygem-treetop to the latest upstream release 1.4.9 (mamoru, I think you were thinking about rubygem-thor when you said 0.14.8). 

We need rubygem-treetop >= 1.4.9 for rubygem-mail which we need for rubygem-actionmailer 3.0.3 which we need for rails 3 in fedora.

To assist, I built the updated spec / srpm and used it / tested it against the rails rpms

SPEC Url: http://mo.morsi.org/files/rpms/rubygem-treetop.spec
SRPM Url: http://mo.morsi.org/files/rpms/rubygem-treetop-1.4.9-1.fc14.src.rpm

Thanks alot

Comment 2 Mo Morsi 2011-01-19 02:59:50 UTC
I also just applied for commit / approveacls access in the pkgdb, so if you don't have the cycles to take care of this update I can.

Comment 3 Michael Stahnke 2011-01-19 03:23:00 UTC
ACL updated.

Comment 4 Mo Morsi 2011-01-23 17:24:31 UTC
rubygem-treetop has been updated to 1.4.9 in Fedora Rawhide